Subject: git refuses to switch to older branches

From: Martin Waitz <[email-masked]>
Date: Sat, 19 Aug 2006 22:25:58 +0200

hoi :)

now that gitweb.cgi is autogenerated, git refuses to switch to old
branches unless force is applied:

	fatal: Untracked working tree file 'gitweb/gitweb.cgi' would
	be overwritten by merge.

This safety measure is quite useful normally, but for files that are
explicitly marked as to-be-ignored it should not be neccessary.

But all the code that handles .gitignore is only used by ls-files now.
Does it make sense to add exclude handling to unpack-trees.c, too?

-- 
Martin Waitz